curl -X PUT 'https://api.example.com/scope-overrides/roles/override_123' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"state": "enabled"
}'
const axios = require('axios');
const { data } = await axios.put('https://api.example.com/scope-overrides/roles/override_123', {
state: 'enabled',
}, {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
{
"id": "override_123",
"childScopeId": "scope_team",
"roleId": "role_admin",
"state": "enabled"
}
Scope Overrides
Update Role Override
Update a role override state
PUT
/
scope-overrides
/
roles
/
{id}
curl -X PUT 'https://api.example.com/scope-overrides/roles/override_123' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"state": "enabled"
}'
const axios = require('axios');
const { data } = await axios.put('https://api.example.com/scope-overrides/roles/override_123', {
state: 'enabled',
}, {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
{
"id": "override_123",
"childScopeId": "scope_team",
"roleId": "role_admin",
"state": "enabled"
}
Path Parameters
string
required
The override ID to update
Request Body
string
required
New override state:
enabled or disabledResponse
Returns the updated role override object.curl -X PUT 'https://api.example.com/scope-overrides/roles/override_123' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"state": "enabled"
}'
const axios = require('axios');
const { data } = await axios.put('https://api.example.com/scope-overrides/roles/override_123', {
state: 'enabled',
}, {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
{
"id": "override_123",
"childScopeId": "scope_team",
"roleId": "role_admin",
"state": "enabled"
}
Was this page helpful?
⌘I